For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all AutoCertificate

This endpoint enables retrieving all AutoCertificate using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.commonNamestringOptional

Filter by the common name (DNS).

Example: www.example.com
Responses
200

Returned all requested AutoCertificate successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of AutoCertificate resources.

Example: b57af488-a991-522a-9fea-bbca2e2d097f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of AutoCertificate resources.

Example: /auto-certificates
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/auto-certificates
GET /auto-certificates HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "b57af488-a991-522a-9fea-bbca2e2d097f",
  "type": "collection",
  "href": "/auto-certificates",
  "items": [
    {
      "id": "f88467f8-a2d6-5871-83b9-e10f23d0a48a",
      "type": "autocertificate",
      "href": "/auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "Issue in progress.",
        "lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141"
      },
      "properties": {
        "provider": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
        "commonName": "www.example.com",
        "keyAlgorithm": "rsa4096",
        "name": "My Auto renewed certificate",
        "subjectAlternativeNames": [
          "app.example.com"
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?